### Method

# Gtk Pictureget_file

#### Declaration [src]

    GFile*
    gtk_picture_get_file (
      GtkPicture* self
    )

#### Description [src]

Gets the `GFile` currently displayed if `self` is displaying a file.

If `self` is not displaying a file, for example when `gtk_picture_set_paintable()` was used, then `NULL` is returned.

Gets property | `Gtk.Picture:file`

#### Return value

Type: `GFile`

The `GFile` displayed by `self`.

The data is owned by the instance.
The return value can be `NULL`.